﻿using Windows.Graphics;

using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;

using WinUIEx;

namespace TestProject;

/// <summary>
/// 앱
/// </summary>
public partial class App : Application
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Public

    #region 메인 윈도우 - MainWindow

    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public static WindowEx MainWindow { get; set; }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - App()

    /// <summary>
    /// 생성자
    /// </summary>
    public App()
    {
        InitializeComponent();
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Protected

    #region 시작시 처리하기 - OnLaunched(e)

    /// <summary>
    /// 시작시 처리하기
    /// </summary>
    /// <param name="e">이벤트 인자</param>
    protected override void OnLaunched(LaunchActivatedEventArgs e)
    {
        MainWindow = new MainWindow();

        Grid mainWindowGrid = MainWindow.Content as Grid;

        ContentControl mainWindowContentControl = mainWindowGrid.Children[1] as ContentControl;

        Frame frame = mainWindowContentControl.Content as Frame;

        frame.Content = new MainPage();

        MainWindow.AppWindow.Resize(new SizeInt32(800, 600));

        MainWindow.Activate();
    }

    #endregion
}